## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/facebook/netconsd

Name:           netconsd
Version:        0.4.1
Release:        %autorelease
Summary:        The Netconsole Daemon

License:        BSD-3-Clause
URL:            https://facebookmicrosites.github.io/netconsd
Source:         %{forgeurl}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  libstdc++-static

%description
This is a daemon for receiving and processing logs from the Linux Kernel, as
emitted over a network by the kernel's netconsole module. It supports both the
old "legacy" text-only format, and the new extended format added in v4.4.

The core of the daemon does nothing but process messages and drop them: in order
to make the daemon useful, the user must supply one or more "output modules".
These modules are shared object files which expose a small ABI that is called by
netconsd with the content and metadata for netconsole messages it receives.

%prep
%autosetup -p1

%build
%if 0%{?rhel} && 0%{?rhel} < 10
%set_build_flags
%endif
%make_build
%make_build utils

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/netconsd

install -m0755 netconsd %{buildroot}%{_bindir}
install -m0755 util/netconsblaster %{buildroot}%{_bindir}
install -m0755 modules/*.so %{buildroot}%{_libdir}/netconsd

%files
%license LICENSE
%doc README.md
%{_bindir}/netconsd
%{_bindir}/netconsblaster
%{_libdir}/netconsd

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Apr 17 2024 Michel Lind <salimma@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1 (rhbz#2274122)

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Oct 25 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.4-1
- Update to 0.4

* Wed Sep 06 2023 Michel Lind <salimma@fedoraproject.org> - 0.3-1
- Update to 0.3
- Prevent invalid fragment values from leading to a buffer overrun
- Use SPDX license identifier

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Mar 24 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2-1
- Update to 0.2 to address CVE-2023-28753; Fixes: RHBZ#2181655

* Fri Jan 27 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1-5
- Backport upstream PR to fix FTBFS

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Mar 03 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1-2
- Drop leftover exclude for s390x

* Thu Mar 03 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1-1
- Update to 0.1

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 24 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0-1
- Initial import; Fixes: RHBZ#2016716
## END: Generated by rpmautospec
